Subject: bug#10231: libtool.m4 makes the wrong shell (dash) run libtool

From: Hallvard B Furuseth <[email-masked]>
Date: Wed, 7 Dec 2011 11:15:20 +0100

Peter O'Gorman writes:
> Removing $(SHELL) from LIBTOOL makes sense to me, I don't know if it 
> will cause problems on windows though?

Don't know.  Since this is for a Unix-style Makefile, I expect it
depends on Cygnus et al to compile system() and exec() in the Make
program into library calls which handle '#!'.

> If it's a problem, we can AC_SUBST(LT_SHELL) and use that (which will 
> cause problems for people not using automake, like yourself).

Eh, right.  Sounds like the shell should be inserted in the LIBTOOL
definition itself then, without going via an LT_SHELL.

Which in turn would prevent people from running libtool with another
shell if the current shell breaks, if there is any reason to do that.

-- 
Hallvard